tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping > Class Template Reference

`#include <concurrent_unordered_map.h>`

Inheritance diagram for tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >:
Collaboration diagram for tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >:

## Protected Types

enum | { allow_multimapping = Allow_multimapping }
typedef std::pair< const Key, T > | value_type
typedef Key | key_type
typedef Hash_compare | hash_compare
typedef tbb::internal::allocator_rebind< Allocator, value_type >::type | allocator_type
typedef tbb::internal::node_handle< key_type, value_type, typename internal::split_ordered_list< value_type, allocator_type >::node, allocator_type > | node_type

## Protected Member Functions

| concurrent_unordered_map_traits ()
| concurrent_unordered_map_traits (const hash_compare &hc)

## Static Protected Member Functions

template<class Type1 , class Type2 >
static const Key & | get_key (const std::pair< Type1, Type2 > &value)

## Protected Attributes

hash_compare | my_hash_compare

## Detailed Description

### template<typename Key, typename T, typename Hash_compare, typename Allocator, bool Allow_multimapping>
class tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >

Definition at line 35 of file concurrent_unordered_map.h.

## Member Typedef Documentation

## allocator_type

template<typename Key , typename T , typename Hash_compare , typename Allocator , bool Allow_multimapping>

typedef tbb::internal::allocator_rebind<Allocator, value_type>::type tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >::allocator_type

protected

Definition at line 41 of file concurrent_unordered_map.h.

## hash_compare

template<typename Key , typename T , typename Hash_compare , typename Allocator , bool Allow_multimapping>

typedef Hash_compare tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >::hash_compare

protected

Definition at line 40 of file concurrent_unordered_map.h.

## key_type

template<typename Key , typename T , typename Hash_compare , typename Allocator , bool Allow_multimapping>

typedef Key tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >::key_type

protected

Definition at line 39 of file concurrent_unordered_map.h.

## node_type

template<typename Key , typename T , typename Hash_compare , typename Allocator , bool Allow_multimapping>

typedef tbb::internal::node_handle<key_type, value_type, typename internal::split_ordered_list<value_type, allocator_type>::node, allocator_type> tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >::node_type

protected

Definition at line 45 of file concurrent_unordered_map.h.

## value_type

template<typename Key , typename T , typename Hash_compare , typename Allocator , bool Allow_multimapping>

typedef std::pair<const Key, T> tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >::value_type

protected

Definition at line 38 of file concurrent_unordered_map.h.

## Member Enumeration Documentation

## anonymous enum

template<typename Key , typename T , typename Hash_compare , typename Allocator , bool Allow_multimapping>

anonymous enum

protected

Enumerator
allow_multimapping |

Definition at line 48 of file concurrent_unordered_map.h.

{ allow_multimapping = Allow_multimapping };
tbb::interface5::concurrent_unordered_map_traits::allow_multimapping
@ allow_multimapping
Definition: concurrent_unordered_map.h:48

## Constructor & Destructor Documentation

## concurrent_unordered_map_traits() [1/2]

template<typename Key , typename T , typename Hash_compare , typename Allocator , bool Allow_multimapping>

tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >::concurrent_unordered_map_traits | ( |  | ) |

inline protected

Definition at line 50 of file concurrent_unordered_map.h.

: my_hash_compare() {}
tbb::interface5::concurrent_unordered_map_traits::my_hash_compare
hash_compare my_hash_compare
Definition: concurrent_unordered_map.h:58

## concurrent_unordered_map_traits() [2/2]

template<typename Key , typename T , typename Hash_compare , typename Allocator , bool Allow_multimapping>

tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >::concurrent_unordered_map_traits | ( | const hash_compare & | hc | ) |

inline protected

Definition at line 51 of file concurrent_unordered_map.h.

: my_hash_compare(hc) {}

## Member Function Documentation

## get_key()

template<typename Key , typename T , typename Hash_compare , typename Allocator , bool Allow_multimapping>
template<class Type1 , class Type2 >

static const Key& tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >::get_key | ( | const std::pair< Type1, Type2 > & | value | ) |

inline static protected

Definition at line 54 of file concurrent_unordered_map.h.

{
return (value.first);
}
value
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain __itt_id ITT_FORMAT p const __itt_domain __itt_id __itt_timestamp __itt_timestamp ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain ITT_FORMAT p const __itt_domain __itt_string_handle unsigned long long value
Definition: ittnotify_static.h:192

References value.

## Member Data Documentation

## my_hash_compare

template<typename Key , typename T , typename Hash_compare , typename Allocator , bool Allow_multimapping>

hash_compare tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >::my_hash_compare

protected

Definition at line 58 of file concurrent_unordered_map.h.

The documentation for this class was generated from the following file:

- concurrent_unordered_map.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.